## org.apache.poi.openxml4j.opc.internal
Interface PartUnmarshaller

All Known Implementing Classes:
  PackagePropertiesUnmarshaller

    public interface PartUnmarshaller

Object implemented this interface are considered as part unmarshaller. A part unmarshaller is responsible to unmarshall a part in order to load it from a package.

Version:
  0.1
Author:
  Julien Chable

Method Summary
`PackagePart` `unmarshall(UnmarshallContext context, java.io.InputStream in)` Save the content of the package in the stream

Method Detail

### unmarshall

    PackagePart unmarshall(UnmarshallContext context,
                           java.io.InputStream in)
                           throws InvalidFormatException,
                                  java.io.IOException

  Save the content of the package in the stream

  Parameters:
    `in` - The input stream from which the part will be unmarshall.
  Returns:
    The part freshly unmarshall from the input stream.
  Throws:
    `OpenXML4JException` - Throws only if any other exceptions are thrown by inner methods.
    `InvalidFormatException`
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.